/*
 * autotimers.h: AutoTimer handling
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: autotimers.h 1.0 2004/04/05 13:36:00 hflor Exp $
 */

#ifndef __AUTOTIMERS_H
#define __AUTOTIMERS_H

#include <ctype.h>
#include <getopt.h>
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdlib.h>
#include <string.h>
#include <vdr/channels.h>
#include <vdr/config.h>
#include <vdr/iconpatch.h>
#include <vdr/interface.h>
#include <vdr/menu.h>
#include <vdr/menuitems.h>
#include <vdr/plugin.h>
#include <vdr/status.h>
#include "i18n.h"

class cAutoTimer : public cListObject {
  friend class cMenuEditAutoTimer;
private:
  int      active;
  char     search[MaxFileName];
  int      options;
  int      title;
  int      subtitle;
  int      description;
  int      useStart;
  int      startTime;
  int      useStop;
  int      stopTime;
  int      serie;
  int      priority;
  int      lifetime;
  int      useChannel;
  cChannel *channel;
  char     folder[MaxFileName];
  int      done;

  static char *buffer;
public:
  cAutoTimer(bool Instant = false, bool Pause = false);
  cAutoTimer& operator= (const cAutoTimer &AutoTimer);
  virtual bool operator< (const cListObject &ListObject);

  int Active(void) { return active; }
  const char *Search(void) { return search; }
  int Title(void) { return title; }
  int Subtitle(void) { return subtitle; }
  int Description(void) { return description; }
  int UseStart(void) { return useStart; }
  int StartTime(void) { return startTime; }
  int UseStop(void) { return useStop; }
  int StopTime(void) { return stopTime; }
  int Serie(void) { return serie; }
  int Priority(void) { return priority; }
  int Lifetime(void) { return lifetime; }
  int UseChannel(void) { return useChannel; }
  cChannel *Channel(void) { return channel; }
  const char *Folder(void) { return folder; }
  int Done(void) { return done; }

  const char *ToText(void);
  bool Parse(const char *s);
  bool Save(FILE *f);
  void OnOff(void);
  };

class cAutoTimers : public cConfig<cAutoTimer> {
  };

extern cAutoTimers AutoTimers;

#endif //__AUTOTIMERS_H
