/*
 * menuautotimer.h: AutoTimer handling
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: menuautotimer.h 1.0 2004/04/05 13:36:00 hflor Exp $
 */

#ifndef __MENUAUTOTIMER_H
#define __MENUAUTOTIMER_H

#include "autotimers.h"
#include "menueditchan.h"
#include "menuedittime.h"

// --- cMenuEditAutoTimer --------------------------------------------------------

class cMenuEditAutoTimer : public cOsdMenu {
private:
  cAutoTimer *autotimer;
  cAutoTimer data;
  int selStartStopTime;
  int channel;
  bool addIfConfirmed;
public:
  cMenuEditAutoTimer(cAutoTimer *AutoTimer, bool New = false);
  virtual ~cMenuEditAutoTimer();
  virtual void Set(void);
  virtual eOSState ProcessKey(eKeys Key);
  };

// --- cMenuAutoTimerItem --------------------------------------------------------

class cMenuAutoTimerItem : public cOsdItem {
private:
  cAutoTimer *autotimer;
public:
  cMenuAutoTimerItem(cAutoTimer *AutoTimer);
  virtual bool operator< (const cListObject &ListObject);
  virtual void Set(void);
  cAutoTimer *AutoTimer(void) { return autotimer; }
  };

// --- cMenuAutoTimers -----------------------------------------------------------

class cMenuAutoTimers : public cOsdMenu {
private:
  void SetHelpKeys(void);
  eOSState Edit(void);
  eOSState New(void);
  eOSState Delete(void);
  eOSState OnOff(void);
  cAutoTimer *CurrentAutoTimer(void);
public:
  cMenuAutoTimers(void);
  virtual eOSState ProcessKey(eKeys Key);
  };

#endif //__MENUAUTOTIMER_H
